> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Customer Session

Creates a customer session for enrolling and managing payment methods. Use this to save cards, wallets, and other payment methods for future use. Requires a `customer_id` from [Create Customer](/reference/create-customer) .


## OpenAPI

````yaml openapi/customer-sessions-enrollment/create-customer-session.json POST /customers/sessions
openapi: 3.1.0
info:
  title: customer-api
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /customers/sessions:
    post:
      summary: Create Customer Session
      operationId: create-customer-session
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - account_id
                - country
                - customer_id
              properties:
                account_id:
                  type: string
                  description: >-
                    The unique identifier of the account. You find this
                    information on [the Yuno
                    dashboard](https://dashboard.y.uno/) (UUID, 36 chars).
                country:
                  type: string
                  description: >-
                    The customer's country  (MAX 2; MIN 2; [ISO
                    3166-1](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)).
                  enum:
                    - AR
                    - BO
                    - BR
                    - CL
                    - CO
                    - CR
                    - EC
                    - SV
                    - GT
                    - HN
                    - MX
                    - NI
                    - PA
                    - PY
                    - PE
                    - US
                    - UY
                customer_id:
                  type: string
                  description: >-
                    The unique identifier of the customer, created using the
                    [Create
                    Customer](https://docs.y.uno/reference/create-customer)
                    endpoint (UUID, 36 chars).
                callback_url:
                  type: string
                  description: >-
                    The url to redirect your customer after the enrollment  is
                    made in the provider's environment (MAX 526; MIN 3).
            examples:
              Customer session:
                value:
                  account_id: 8beac4de-5f6f-11ed-9b6a-0242ac120002
                  customer_id: ae106483-65ee-463b-8782-9794022b3112
                  country: US
                  callback_url: >-
                    https://www.google.com/?customerSession=7dd71f21-9e4c-439a-9c6d-58f240bd28df
                  created_at: '2025-05-07T20:00:18.721786Z'
      responses:
        '201':
          description: '201'
          content:
            application/json:
              examples:
                Customer session:
                  value:
                    customer_session: 7dd71f21-9e4c-439a-9c6d-58f240bd28df
                    customer_id: ae106483-65ee-463b-8782-9794022b3112
                    country: US
                    callback_url: >-
                      https://www.google.com/?customerSession=7dd71f21-9e4c-439a-9c6d-58f240bd28df
                    created_at: '2025-05-07T20:00:18.721786Z'
              schema:
                type: object
                properties:
                  customer_session:
                    type: string
                    example: 7dd71f21-9e4c-439a-9c6d-58f240bd28df
                  customer_id:
                    type: string
                    example: ae106483-65ee-463b-8782-9794022b3112
                  country:
                    type: string
                    example: US
                  callback_url:
                    type: string
                    example: >-
                      https://www.google.com/?customerSession=7dd71f21-9e4c-439a-9c6d-58f240bd28df
                  created_at:
                    type: string
                    example: '2025-05-07T20:00:18.721786Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Bad Request:
                  value:
                    code: INVALID_REQUEST
                    messages:
                      - Invalid request
                Customer Not Found:
                  value:
                    code: CUSTOMER_NOT_FOUND
                    messages:
                      - Customer not found
                  summary: Customer Not Found
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_REQUEST
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid request
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Unauthorized:
                  value:
                    code: INVALID_CREDENTIALS
                    messages:
                      - Invalid credentials
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_CREDENTIALS
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid credentials
        '403':
          description: '403'
          content:
            application/json:
              examples:
                Forbidden:
                  value:
                    code: AUTHORIZATION_REQUIRED
                    messages:
                      - The merchant has no authorization to use this API.
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: AUTHORIZATION_REQUIRED
                  messages:
                    type: array
                    items:
                      type: string
                      example: The merchant has no authorization to use this API.
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````